Package org.apache.tools.zip

# Class UnsupportedZipFeatureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.util.zip.ZipException
org.apache.tools.zip.UnsupportedZipFeatureException

All Implemented Interfaces:
  `java.io.Serializable`

    public class UnsupportedZipFeatureException
    extends java.util.zip.ZipException

Exception thrown when attempting to read or write data for a zip entry that uses ZIP features not supported by this library.

Since:
  Ant 1.9.0
See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `UnsupportedZipFeatureException.Feature` | ZIP Features that may or may not be supported.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UnsupportedZipFeatureException​(UnsupportedZipFeatureException.Feature reason, ZipEntry entry)` | Creates an exception.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ZipEntry` | `getEntry()` | The entry using the unsupported feature.
`UnsupportedZipFeatureException.Feature` | `getFeature()` | The unsupported feature that has been used.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedZipFeatureException

public UnsupportedZipFeatureException​(UnsupportedZipFeatureException.Feature reason, ZipEntry entry)
Creates an exception.

Parameters:
  `reason` - the feature that is not supported
  `entry` - the entry using the feature

## Method Details

### getFeature

public UnsupportedZipFeatureException.Feature getFeature()
The unsupported feature that has been used.

Returns:
  Feature

### getEntry

public ZipEntry getEntry()
The entry using the unsupported feature.

Returns:
  ZipEntry